## net.dontdrinkandroot.lastfm.api.model
Class Station

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.Station

All Implemented Interfaces:
  java.io.Serializable

    public class Station

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Station(org.w3c.dom.Element root)` Create a Station from a dom4j Element.

Method Summary
`static java.net.URI` `getGlobalTagStationUri(java.lang.String tagName)` Create the URI needed to play a Tags global radio.
`static java.net.URI` `getGroupStationUri(java.lang.String groupName)` Create the URI needed to play a Groups members radio.
`static java.net.URI` `getLibraryStationUri(java.lang.String userName)` Create the URI needed to play a Users library radio.
`static java.net.URI` `getLovedTracksStationUri(java.lang.String userName)` Create the URI needed to play a Users loved tracks radio.
`static java.net.URI` `getMixRadioStationUri(java.lang.String username)` Create the Station URI needed to play a users mix radio.
`static java.net.URI` `getMultiArtistStationUri(java.util.Set<java.lang.Long> artistIds)`
`static java.net.URI` `getMultiTagStationUri(java.util.Set<java.lang.String> tagNames)`
`java.lang.String` `getName()`
`static java.net.URI` `getNeighboursStationUri(java.lang.String userName)` Create the URI needed to play a Users neighbour radio.
`static java.net.URI` `getRecommendationStationUri(java.lang.String userName)` Create a URI needed to play a Users recommended radio.
`static java.net.URI` `getSimilarArtistsStationUri(java.lang.String artistName)` Create the Station URI needed to play an Artists similar artists radio.
`java.lang.Boolean` `getSupportsDiscovery()`
`static java.net.URI` `getTopFansStationUri(java.lang.String artistName)` Create the URI needed to play an Artists top fans radio.
`java.lang.String` `getType()`
`java.net.URL` `getUrl()`
`static java.net.URI` `getUserTagStation(java.lang.String userName, java.lang.String tagName)` Create the URI needed to play a Users tag radio.
`void` `setName(java.lang.String name)`
`void` `setSupportsDiscovery(java.lang.Boolean supportsDiscovery)`
`void` `setType(java.lang.String type)`
`void` `setUrl(java.net.URL url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Station

    public Station(org.w3c.dom.Element root)

  Create a Station from a dom4j Element.

  Parameters:
    `root` - The element to create the Station from.

Method Detail

### getType

    public final java.lang.String getType()

### setType

    public final void setType(java.lang.String type)

### getName

    public final java.lang.String getName()

### setName

    public final void setName(java.lang.String name)

### getUrl

    public final java.net.URL getUrl()

### setUrl

    public final void setUrl(java.net.URL url)

### getSupportsDiscovery

    public final java.lang.Boolean getSupportsDiscovery()

### setSupportsDiscovery

    public final void setSupportsDiscovery(java.lang.Boolean supportsDiscovery)

### getSimilarArtistsStationUri

    public static java.net.URI getSimilarArtistsStationUri(java.lang.String artistName)

  Create the Station URI needed to play an Artists similar artists radio.

### getMixRadioStationUri

    public static java.net.URI getMixRadioStationUri(java.lang.String username)

  Create the Station URI needed to play a users mix radio.

### getTopFansStationUri

    public static java.net.URI getTopFansStationUri(java.lang.String artistName)

  Create the URI needed to play an Artists top fans radio.

  Parameters:
    `artistName` -
  Returns:

### getLibraryStationUri

    public static java.net.URI getLibraryStationUri(java.lang.String userName)

  Create the URI needed to play a Users library radio.

  Parameters:
    `userName` -
  Returns:

### getNeighboursStationUri

    public static java.net.URI getNeighboursStationUri(java.lang.String userName)

  Create the URI needed to play a Users neighbour radio.

  Parameters:
    `userName` -
  Returns:

### getLovedTracksStationUri

    public static java.net.URI getLovedTracksStationUri(java.lang.String userName)

  Create the URI needed to play a Users loved tracks radio.

  Parameters:
    `userName` -
  Returns:

### getRecommendationStationUri

    public static java.net.URI getRecommendationStationUri(java.lang.String userName)

  Create a URI needed to play a Users recommended radio.

  Parameters:
    `userName` -
  Returns:

### getGroupStationUri

    public static java.net.URI getGroupStationUri(java.lang.String groupName)

  Create the URI needed to play a Groups members radio.

  Parameters:
    `groupName` -
  Returns:

### getGlobalTagStationUri

    public static java.net.URI getGlobalTagStationUri(java.lang.String tagName)

  Create the URI needed to play a Tags global radio.

  Parameters:
    `tagName` -
  Returns:

### getUserTagStation

    public static java.net.URI getUserTagStation(java.lang.String userName,
                                                 java.lang.String tagName)

  Create the URI needed to play a Users tag radio.

  Parameters:
    `userName` -
    `tagName` -
  Returns:

### getMultiTagStationUri

    public static java.net.URI getMultiTagStationUri(java.util.Set<java.lang.String> tagNames)

### getMultiArtistStationUri

    public static java.net.URI getMultiArtistStationUri(java.util.Set<java.lang.Long> artistIds)

Copyright © 2012. All Rights Reserved.